<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class CreateOrUpdateTenantCommodityRequest 
{
    public string $datasourceId;
    public ?string $integrationId = null;
    public string $sourceId;
    public ?string $sourceDisplayName = null;
    public ?string $displayName = null;
    public ?string $commodityVarietyId = null;

    /**
     */
    public function __construct(string $datasourceId, ?string $integrationId, string $sourceId, ?string $sourceDisplayName, ?string $displayName, ?string $commodityVarietyId)
    {
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceDisplayName = $sourceDisplayName;
        $this->displayName = $displayName;
        $this->commodityVarietyId = $commodityVarietyId;
    }
    

}