<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class BidsRequest 
{
    public string $companySlug;
    public ?int $bidLimit = null;
    public bool $comprehensive;
    public bool $convertBasis;
    public bool $includeHidden;

    /**
     */
    public function __construct(string $companySlug, ?int $bidLimit, bool $comprehensive, bool $convertBasis, bool $includeHidden)
    {
        $this->companySlug = $companySlug;
        $this->bidLimit = $bidLimit;
        $this->comprehensive = $comprehensive;
        $this->convertBasis = $convertBasis;
        $this->includeHidden = $includeHidden;
    }
    

}