<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class UpdateCompanyRequest 
{
    public string $companyId;
    public string $slug;
    public int $cqgCategoryId;
    /** @var null|string $ingestEnabledAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $ingestEnabledAt = null;
    public bool $displayConvertedBasis;
    public string $bidRoundingStrategy;
    public int $cashBidDecimalFormat;

    /**
     * @param  null|string  $ingestEnabledAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $companyId, string $slug, int $cqgCategoryId, ?string $ingestEnabledAt, bool $displayConvertedBasis, string $bidRoundingStrategy, int $cashBidDecimalFormat)
    {
        $this->companyId = $companyId;
        $this->slug = $slug;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->ingestEnabledAt = $ingestEnabledAt;
        $this->displayConvertedBasis = $displayConvertedBasis;
        $this->bidRoundingStrategy = $bidRoundingStrategy;
        $this->cashBidDecimalFormat = $cashBidDecimalFormat;
    }
    

}