<?php
namespace Bushelpowered\Api\Fulfillment\Threshold\V1\Request;
        
class CreateThresholdRequest 
{
    public string $commodityCode;
    public string $locationId;
    public string $remarkCode;
    public ?float $minValue = null;
    public ?float $maxValue = null;
    /** @var string[] $recipientIds */
    public array $recipientIds;

    /**
     * @param  string[]  $recipientIds 
     */
    public function __construct(string $commodityCode, string $locationId, string $remarkCode, ?float $minValue, ?float $maxValue, array $recipientIds)
    {
        $this->commodityCode = $commodityCode;
        $this->locationId = $locationId;
        $this->remarkCode = $remarkCode;
        $this->minValue = $minValue;
        $this->maxValue = $maxValue;
        $this->recipientIds = $recipientIds;
    }
    

}