<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class CreateOrUpdateLocationRequest 
{
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceName = null;
    public ?string $internalName = null;
    public string $publicName;
    public ?string $physicalAddressLine1 = null;
    public ?string $physicalAddressLine2 = null;
    public ?string $physicalLocality = null;
    public ?string $physicalAdministrativeArea = null;
    public ?string $physicalPostalCode = null;
    public ?string $physicalCountryCode = null;
    public ?float $latitude = null;
    public ?float $longitude = null;
    public ?string $businessPhone = null;
    public ?string $businessEmail = null;
    public ?string $businessWebsite = null;
    public \Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType;
    public ?string $parentId = null;

    /**
     */
    public function __construct(string $datasourceId, string $integrationId, string $sourceId, ?string $sourceName, ?string $internalName, string $publicName, ?string $physicalAddressLine1, ?string $physicalAddressLine2, ?string $physicalLocality, ?string $physicalAdministrativeArea, ?string $physicalPostalCode, ?string $physicalCountryCode, ?float $latitude, ?float $longitude, ?string $businessPhone, ?string $businessEmail, ?string $businessWebsite, \Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType, ?string $parentId)
    {
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
        $this->internalName = $internalName;
        $this->publicName = $publicName;
        $this->physicalAddressLine1 = $physicalAddressLine1;
        $this->physicalAddressLine2 = $physicalAddressLine2;
        $this->physicalLocality = $physicalLocality;
        $this->physicalAdministrativeArea = $physicalAdministrativeArea;
        $this->physicalPostalCode = $physicalPostalCode;
        $this->physicalCountryCode = $physicalCountryCode;
        $this->latitude = $latitude;
        $this->longitude = $longitude;
        $this->businessPhone = $businessPhone;
        $this->businessEmail = $businessEmail;
        $this->businessWebsite = $businessWebsite;
        $this->locationType = $locationType;
        $this->parentId = $parentId;
    }
    

}